## r-cran 0.61.1-0

=== DESCRIPTION ===
Package: polynom
Version: 1.0-5
Author: S original by Bill Venables <Bill.Venables@adelaide.edu.au>.
  Packaged for R by Kurt Hornik <Kurt.Hornik@ci.tuwien.ac.at> and
  Martin Maechler <maechler@stat.math.ethz.ch>.
Description: A collection of functions to implement a class for univariate
  polynomial manipulations.
Depends:
License: GPL

=== src-c/Makefile ===
LIBNAME=quadprog

OBJS=   solve.QP.compact.o \
	solve.QP.o \
	util.o

$(LIBNAME).so: $(OBJS)
	@$(LD) $(SHLIBLDFLAGS) -lf2c -lm -o $(LIBNAME).so $(OBJS)

clean:
	@rm -f *.o *.so

realclean:
	@rm -f Makefile *.o *.so

=== src/Makefile ===
LIBNAME=quadprog

OBJS=   solve.QP.compact.o \
	solve.QP.o \
	util.o

$(LIBNAME).so: $(OBJS)
	@$(LD) $(SHLIBLDFLAGS) -lm -o $(LIBNAME).so $(OBJS)

clean:
	@rm -f *.o *.so

realclean:
	@rm -f Makefile *.o *.so

=== debian/changelog ===
r-cran (0.61.1-0) unstable; urgency=low

  * Incorporated <module>.DESCRIPTION files in documentation
  * Moved the source for r-mlbench to the r-cran-non-free sources
  * Modified the package description to remove tabs (lintian)
  * Created as a native Debian package - no monolithic upstream source

 -- Douglas Bates <bates@stat.wisc.edu>  Sun, 15 Mar 1998 12:30:00 -0600

r-cran (0.61-1) unstable; urgency=low

  * Initial release

 -- Douglas Bates <bates@stat.wisc.edu>  Wed, 14 Jan 1998 12:26:21 -0600

Local variables:
mode: debian-changelog
add-log-mailing-address: "bates@stat.wisc.edu"
End:

=== debian/control ===
Source: r-cran
Section: math
Priority: optional
Maintainer: Douglas Bates <bates@stat.wisc.edu>
Standards-Version: 2.4.0.0

Package: r-cran
Architecture: any
Depends: r-base
Description: Contributed R language modules from the R Archive Network
 Contributed modules for the R language (available as the r-base package).
 The modules in this collection have copyrights that are Debian Free
 Software Guidelines compliant.  The modules include: 
 (class) Functions for classification, (ctest) Classical Tests,
 (e1071) Misc Functions of the Department of Statistics (e1071), TU Wien,
 (jpn) Plot Japan's coast-line and prefecture boundaries,
 (nnet) Software for feed-forward neural networks with a single
 hidden layer and for multinomial log-linear models,
 (oz) Plot the Australian coastline and states,
 (polynom) A collection of functions to implement a class for 
 univariate polynomial manipulations,
 (quadprog) Solving Quadratic Programming Problems,
 (rational) A few small functions to find numerical rational
 approximations using a continued fraction method,
 (spatial) functions for kriging and point pattern analysis,
 (splines) regression spline functions and classes,
 .
 Other R language modules whose copyrights are
 too restrictive are packaged as r-cran-non-free.
 .
 The master site for the R archive network is http://www.ci.tuwien.ac.at/R/

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for the Debian/GNU Linux r-cran and r-mlbench packages
# Copyright 1998 by Douglas M. Bates <bates@stat.wisc.edu>

package=r-cran
r-cran=class ctest e1071 jpn nnet oz polynom quadprog rational spatial splines

build: build-stamp
build-stamp:
	dh_testdir
# Nothing to do here
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# Nothing to do here

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir -a
	dh_testroot -a
	dh_clean -a -k
	dh_installdirs -a
        # Add here commands to install the files into debian/tmp
	for i in $(r-cran); do \
	  (cd debian/tmp; tar zxf ../../$${i}*.tar.gz; \
	   R INSTALL $$i ./usr/lib/R/library; rm -rf $$i); \
	done
	rm -f debian/tmp/usr/lib/R/library/LibIndex
	rm -f debian/tmp/usr/lib/R/library/index.html
	dh_installdocs -a
	dh_installchangelogs -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_suidregister -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
#	dh_makeshlibs -a
	dh_md5sums -a
	dh_builddeb -a

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary

## r-cran 0.62.2-1

=== DESCRIPTION ===
Package: VR: contains MASS class nnet spatial
Version: 5.3pl025-1 (98/07/14)
Author: S original by Venables & Ripley.
  R port by Brian Ripley <ripley@stats.ox.ac.uk>, following earlier
  work by Kurt Hornik and Albrecht Gebhardt.
Description: Various functions from the libraries of Venables and
  Ripley, `Modern Applied Statistics with S-PLUS' (2nd edition).
Dependencies: R version 0.62
License: GPL (version 2 or later)

=== MASS/DESCRIPTION ===
Package: MASS
Version: 5.3pl025-1 (98/07/14)
Author: S original by Venables & Ripley.
  R port by Brian Ripley <ripley@stats.ox.ac.uk>,
  following work by Kurt Hornik <Kurt.Hornik@ci.tuwien.ac.at>.
Description: Functions and datasets from the main library of Venables and
  Ripley, `Modern Applied Statistics with S-PLUS (2nd edition).
License: GPL (version 2 or later)

=== class/DESCRIPTION ===
Package: class
Version: 5.3pl025-1 (98/07/14)
Author: S original by Venables & Ripley.
  R port by Kurt Hornik <Kurt.Hornik@ci.tuwien.ac.at>.
  Further work by Brian Ripley <ripley@stats.ox.ac.uk>.
Description: Various functions for classification from Venables and
  Ripley, `Modern Applied Statistics with S-PLUS' (2nd edition).
License: GPL (version 2 or later)

=== nnet/DESCRIPTION ===
Package: nnet
Version: 5.3pl025-1 (98/07/14)
Author: S original by Venables & Ripley.
  R port by Kurt Hornik <Kurt.Hornik@ci.tuwien.ac.at>.
  Updated by Brian Ripley <ripley@stats.ox.ac.uk>.
Description: Software for feed-forward neural networks with a single
  hidden layer, and for multinomial log-linear models.
License: GPL (version 2 or later)

=== spatial/DESCRIPTION ===
Package: spatial
Version: 5.3pl025-1 (98/07/13)
Author: S original by Brian Ripley <ripley@stats.ox.ac.uk>.
        R port by Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>.
	Updated by Brian Ripley <ripley@stats.ox.ac.uk>.
Description: Functions for kriging and point pattern analysis
        from Venables & Ripley (1997):
        `Modern Applied Statistics with S-PLUS'
License: GPL (version 2 or later)

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 LIBNAME=quadprog
 
-OBJS=   solve.QP.compact.o \
+OBJS=   aind.o \
+	solve.QP.compact.o \
 	solve.QP.o \
 	util.o

=== debian/changelog ===
r-cran (0.62.2-1) unstable; urgency=low

  * New upstream versions
  * Modified to use new R package installation procedure

 -- Douglas Bates <bates@stat.wisc.edu>  Mon, 17 Aug 1998 12:47:04 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 Package: r-cran
 Architecture: any
-Depends: r-base
+Depends: r-base (>= 0.62.2)
 Description: Contributed R language modules from the R Archive Network
  Contributed modules for the R language (available as the r-base package).
  The modules in this collection have copyrights that are Debian Free

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,8 @@
 # Copyright 1998 by Douglas M. Bates <bates@stat.wisc.edu>
 
 package=r-cran
-r-cran=class ctest e1071 jpn nnet oz polynom quadprog rational spatial splines
+r-cran-VR=MASS class nnet spatial
+r-cran=bindata cclust chron ctest e1071 lme oz polynom quadprog rational splines
 
 build: build-stamp
 build-stamp:
@@ -28,9 +29,17 @@
 	dh_clean -a -k
 	dh_installdirs -a
         # Add here commands to install the files into debian/tmp
+	(cd debian/tmp; tar zxf ../../VR_*.tar.gz);
+	(cd debian/tmp/VR; R INSTALL -l ../usr/lib/R/library $(r-cran-VR); \
+	 cp DESCRIPTION ../usr/doc/r-cran/VR.DESCRIPTION; \
+	 for i in $(r-cran-VR); do \
+	    cp $$i/DESCRIPTION ../usr/doc/r-cran/$$i.DESCRIPTION; \
+	 done; \
+	 cd ..; rm -rf VR)
 	for i in $(r-cran); do \
 	  (cd debian/tmp; tar zxf ../../$${i}*.tar.gz; \
-	   R INSTALL $$i ./usr/lib/R/library; rm -rf $$i); \
+	   R INSTALL -l ./usr/lib/R/library $$i; \
+	   cp -a $$i/DESCRIPTION ./usr/doc/r-cran/$$i.DESCRIPTION; rm -rf $$i); \
 	done
 	rm -f debian/tmp/usr/lib/R/library/LibIndex
 	rm -f debian/tmp/usr/lib/R/library/index.html
